Subject: Re: What's cooking in git.git (Mar 2020, #02; Thu, 5)

From: Thomas Gummerer <[email-masked]>
Date: Tue, 10 Mar 2020 16:13:01 +0000

On 03/06, Junio C Hamano wrote:
> Thomas Gummerer <[email-masked]> writes:
> 
> > On 03/05, Junio C Hamano wrote:
> >> * tg/retire-scripted-stash (2020-03-05) 2 commits
> >>   (merged to 'next' on 2020-03-05 at 8e82eb9dec)
> >>  + stash: remove the stash.useBuiltin setting
> >>  + stash: get git_stash_config at the top level
> >> 
> >>  "git stash" has kept an escape hatch to use the scripted version
> >>  for a few releases, which got stale.  It has been removed.
> >> 
> >>  Will merge to 'master'.
> >
> > I was thinking only getting this into a release after 2.26 dropped,
> > and have written the docs with that in mind.  Not sure if this "Will
> > merge to 'master'" means that you were planning to get this into 2.26?
> 
> Committed to merge to 'master' sometime in the future, but it still
> is not known if it will be before or after the upcoming release.
> 
> > I have a slight preference for waiting until after the release to
> > merge this down, but I'm okay with doing it now.
> 
> Being cautious is good.  I do not think this is ultra-urgent; as you
> said in <[email-masked]>, the "bug"
> has been with us for a couple of releases already.  I do not mind
> keeping it in 'next' and merge as a part of the first batch after
> the release.

I would prefer that, thanks!

> > If we want to do so
> > we need to tweak the description in 'Documentation/config/stash.txt'
> > to refer to 2.25 instead of 2.26.
> >
> > Either way, we'll need the patch below on top, as I made an
> > embarrassing copy-paste mistake.  Sorry for the trouble.
> 
> Heh, I think 8a2cd3f5 ("stash: remove the stash.useBuiltin setting",
> 2020-03-03) that is on 'next' already has it (and s/Variable/variable/
> casefix).

Ah great, thanks for catching this already.  One less embarrassing
mistake of mine in Gits history :)